xfce4-indicator-plugin crashed with SIGSEGV in g_type_check_instance_cast()

Bug #1181134 reported by David Pires on 2013-05-17
384
This bug affects 82 people
Affects Status Importance Assigned to Milestone
xfce4-indicator-plugin (Ubuntu)
High
Unassigned

Bug Description

xfce4-indicator-plugin crashed at desktop environment start-up.
Plugin "Indicator Plugin" unexpectedly left the panel, and restarted more than once in the last 60 seconds.

ProblemType: Crash
DistroRelease: Ubuntu 13.10
Package: xfce4-indicator-plugin 0.5.0-1ubuntu2
Uname: Linux 3.10.0-031000rc1-generic i686
ApportVersion: 2.10.1-0ubuntu1
Architecture: i386
Date: Fri May 17 09:22:21 2013
ExecutablePath: /usr/lib/i386-linux-gnu/xfce4/panel-plugins/xfce4-indicator-plugin
InstallationDate: Installed on 2013-03-22 (55 days ago)
InstallationMedia: Xubuntu 13.04 "Raring Ringtail" - Alpha i386 (20130311.1)
MarkForUpload: True
ProcCmdline: /usr/lib/i386-linux-gnu/xfce4/panel-plugins/xfce4-indicator-plugin 5 33554467 indicator Indicator\ Plugin An\ indicator\ of\ something\ that\ needs\ your\ attention\ on\ the\ desktop
SegvAnalysis:
 Segfault happened at: 0xb70eb04c <g_type_check_instance_cast+44>: mov (%eax),%eax
 PC (0xb70eb04c) ok
 source "(%eax)" (0xaaaaaaaa) not located in a known VMA region (needed readable region)!
 destination "%eax" ok
SegvReason: reading unknown VMA
Signal: 11
SourcePackage: xfce4-indicator-plugin
StacktraceTop:
 g_type_check_instance_cast () from /usr/lib/i386-linux-gnu/libgobject-2.0.so.0
 ?? ()
 g_object_unref () from /usr/lib/i386-linux-gnu/libgobject-2.0.so.0
 g_object_run_dispose () from /usr/lib/i386-linux-gnu/libgobject-2.0.so.0
 gtk_object_destroy () from /usr/lib/i386-linux-gnu/libgtk-x11-2.0.so.0
Title: xfce4-indicator-plugin crashed with SIGSEGV in g_type_check_instance_cast()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo

David Pires (slickymaster) wrote :
information type: Private → Public
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xfce4-indicator-plugin (Ubuntu):
status: New → Confirmed
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1181134

tags: added: iso-testing
Paul White (paulw2u) on 2013-05-18
tags: added: amd64

Stacktrace:
 #0 0xb70eb04c in ?? ()
 No symbol table info available.
 #1 0xb9516a68 in ?? ()
 No symbol table info available.
 Backtrace stopped: previous frame inner to this frame (corrupt stack?)
StacktraceTop:
 ?? ()
 ?? ()

tags: added: apport-failed-retrace
tags: removed: need-i386-retrace
Andrzej (ndrwrdck) wrote :

Not sure if that is the same issue but there was a number of stability fixes in newly released xfce4-indicator-plugin-1.0.

Mitsutoshi NAKANO (bkbin005) wrote :

When I logouted, xfce4-indicator-plugin crashed with SIGSEGV in g_type_check_instance_cast() .

Richard Elkins (texadactyl) wrote :

My crash just happened when I logged in! (-:

Even without a crash, the audio volume control widget consistently hides the drop down output when I click on it.
In effect, the xfce4-indicator-plugin audio widget is totally unusable.
Work-around: Copy the Pulse Audio Volume Control widget to Panel 0 (awkward but functional).

-------------------------------------------------------------------------------------------------

Xubuntu x64 13.10 up-to-date.
Monitor: 1920x1080x60 settings, modesetting X driver, gma500 kernel module.
Mobo: Intel D2550MUD2 "CedarView"
uname -a = Linux muddy 3.11.0-3-generic #7-Ubuntu SMP Tue Aug 20 15:21:58 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Richard Elkins (texadactyl) wrote :

Could this be related to https://bugs.launchpad.net/ubuntu/+source/xfce4-indicator-plugin/+bug/1181134 ?
In that report, it seems that an executable was not specified in the correct folder.

Daniel Hollocher (chogydan) wrote :

first off, Richard, I think you meant to reference a different bug report. You just referenced this one.

fwiw, I get this crash when I try to run `sudo service networking restart`
tested on my main install, and a vm

Richard Elkins (texadactyl) wrote :

Daniel,

You're correct. Pardon my loop! I meant to reference this one: https://bugs.launchpad.net/indicator-sound/+bug/1208204 .

In message #5 of #1208204, Daniel Letzeisen specified a patch that fixed both symptoms for me (crashing ceased and volume control item now works). I believe that it has to do with the fact that the indicator-sound-service was specified incorrectly and, hence, never invoked.

Richard

Richard Elkins (texadactyl) wrote :

Re: /usr/share/dbus-1/services/indicator-sound.service referenced in report #1208204

I set the above file back to as it was originally installed with package indicator-sound under saucy:
          Exec=/usr/lib/x86_64-linux-gnu/indicator-sound/indicator-sound-service

Both anomalies return repeatably:
          * "xfce4-indicator-plugin crashed with SIGSEGV in g_type_check_instance_cast()"
          * Symptoms of report #1208204

Then, I used the suggested patch:
          #Exec=/usr/lib/x86_64-linux-gnu/indicator-sound/indicator-sound-service
          Exec=/usr/lib/indicator-sound-gtk2/indicator-sound-service

Both anomalies go away. The indicator-sound package will eventually be formally fixed in saucy. Until then, you could try using the patch to see if your crashes go away.

TK (tkrishan) wrote :

This problem also occurs for me immediately after using Shutter to take a screen capture.

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu Package testing tracker.

A list of all reports related to this bug can be found here:
http://packages.qa.ubuntu.com/qatracker/reports/bugs/1181134

tags: added: package-qa-testing
Daniel Hollocher (chogydan) wrote :

I applied the fix in 1208204, and this is still present for me. Not sure if I'm supposed to be able to `sudo service networking restart`, but I still can't.

Changed in xfce4-indicator-plugin (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged
B_a_C (bryncoles-lancs) wrote :

This but if affecting me on Xubuntu 14:4 (upgraded from 13:10 -- where the bug did not affect me). It crashes constantly if I try and open LibreOffice, and it crashes a lot if I open Firefox. This constant crashing leaves the system very unstable and virtually unusable (as the crash warning dialogue keeps grabbing screen focus).

I can leave the applet closed, but then I lose access to the network manager applet, and it does not seem possible to add this to the panel otherwise.

Let me know if you need any further information from me!

qji (qji) wrote :

It's the same for me on Xubuntu 14.04. The indicator pludin crashes every time when pidgin get focus (and there are many other "sensitive" application, not only pidgin), but it's fine with firefox, terminal and many others. It's practically unusable in this state.

tags: added: trusty
David Mcanulty (laufchpad-net) wrote :

I'm seeing the same issue as qji , pidgin crashes the indicator app when it gets focus.
I even tried 'hiding' the messages icon in indicator-app. 14.04 upgraded from 12.04

ERROR: apport (pid 31932) Thu May 1 13:51:58 2014: called for pid 31720, signal 6, core limit 0
ERROR: apport (pid 31932) Thu May 1 13:51:58 2014: executable: /usr/lib/x86_64-linux-gnu/xfce4/panel/wrapper-2.0 (command line "/usr/lib/x86_64-linux-gnu/xfce4/panel/wrapper-2.0 /usr/lib/x86_64-linux-gnu/xfce4/panel/plugins/libindicator-plugin.so 30 8426986 indicator Indicator\ Plugin Provides\ a\ panel\ area\ for\ Unity\ indicators.\ Indicators\ allow\ applications\ and\ system\ services\ to\ display\ their\ status\ and\ interact\ with\ the\ user.")
ERROR: apport (pid 31932) Thu May 1 13:51:58 2014: gdbus call error: Error: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.SessionManager was not provided by any .service files

ERROR: apport (pid 31932) Thu May 1 13:51:58 2014: debug: session gdbus call:
ERROR: apport (pid 31932) Thu May 1 13:51:58 2014: this executable already crashed 2 times, ignoring

Jerry Gamache (jerry-gamache) wrote :

Was crashing for me when exiting Firefox or VLC. Turned off the "Application menu" feature and it seems more stable. Might be fighting with Firefox trying to show a menu bar that Firefox is trying to hide.

FrancisT (francis-turner) wrote :

Crashing for me when I open or switch focus to an xfce4-terminal (14.04 upgraded from 13.10 from 13.04 etc.)

From /var/log/apport.log

ERROR: apport (pid 9936) Sun May 4 10:36:29 2014: called for pid 9646, signal 6, core limit 0
ERROR: apport (pid 9936) Sun May 4 10:36:29 2014: executable: /usr/lib/x86_64-linux-gnu/xfce4/panel/wrapper-2.0 (command line "/usr/lib/x86_64-linux-gnu/xfce4/panel/wrapper-2.0 /usr/lib/x86_64-linux-gnu/xfce4/panel/plugins/libindicator-plugin.so 30 27285397 indicator Indicator\ Plugin Provides\ a\ panel\ area\ for\ Unity\ indicators.\ Indicators\ allow\ applications\ and\ system\ services\ to\ display\ their\ status\ and\ interact\ with\ the\ user.")
ERROR: apport (pid 9936) Sun May 4 10:36:29 2014: gdbus call error: Error: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.SessionManager was not provided by any .service files

ERROR: apport (pid 9936) Sun May 4 10:36:29 2014: debug: session gdbus call:
ERROR: apport (pid 9936) Sun May 4 10:36:29 2014: this executable already crashed 2 times, ignoring
ERROR: apport (pid 10083) Sun May 4 10:36:30 2014: called for pid 9965, signal 6, core limit 0
ERROR: apport (pid 10083) Sun May 4 10:36:30 2014: executable: /usr/lib/x86_64-linux-gnu/xfce4/panel/wrapper-2.0 (command line "/usr/lib/x86_64-linux-gnu/xfce4/panel/wrapper-2.0 /usr/lib/x86_64-linux-gnu/xfce4/panel/plugins/libindicator-plugin.so 30 27285397 indicator Indicator\ Plugin Provides\ a\ panel\ area\ for\ Unity\ indicators.\ Indicators\ allow\ applications\ and\ system\ services\ to\ display\ their\ status\ and\ interact\ with\ the\ user.")
ERROR: apport (pid 10083) Sun May 4 10:36:30 2014: gdbus call error: Error: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.SessionManager was not provided by any .service files

ERROR: apport (pid 10083) Sun May 4 10:36:30 2014: debug: session gdbus call:
ERROR: apport (pid 10083) Sun May 4 10:36:30 2014: this executable already crashed 2 times, ignoring

David Mcanulty (laufchpad-net) wrote :

Confirmed, shutting off the 'application menu' fixes my issues with pidgin.

Steps:
1. Right click the Indicator-application
2. Left click on 'Properties'
3. Select 'Application Menus (Global Menu)' by checking the 'Hidden' checkbox.
4. Restasrt the Indicator-application (this is easy, just pullup your app that is crashing it).

Andrzej (ndrwrdck) wrote :

Does anyone how to enable the "global menu" indicator? I am trying to reproduce this error and so far I cannot make the global menu appear in the properties dialog.

George Politis (gpolitis) wrote :

I think that in order to be able to enable the global menu you have to have the libappmenu.so file. I'm not sure but maybe it's only installed with Ubuntu and not XUbuntu? Anyway, it's provided by the indicator-appmenu package.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers